{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Story 9 Andre</title>
    <link rel="stylesheet" type="text/css" href="{% static 'Story_9/style.css' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock meta %}
{% block content %}
    <div class = "d-flex flex-column justify-content-center align-items-center padding-3">
        <h1>Sign Up</h1>
        <form class = "full-size" action="" method="POST">
            {% csrf_token %}
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
                    <p class = "medium-font margin-top-2">Username</p>
                    {{ form.username }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
                    <p class = "medium-font margin-top-2">Email</p>
                    {{ form.email }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
                    <p class = "medium-font margin-top-2">Password</p>
                    {{ form.password1 }}
                </div>
            </div>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center">
                <div class = "full-size d-flex flex-column montserrat-medium medium-font margin-1">
                    <p class = "medium-font margin-top-2">Password confirmation</p>
                    {{ form.password2 }}
                </div>
            </div>
            <button type="submit" value = "Submit" class="margin-top-2 btn btn-primary montserrat-deskripsi">Sign Up</button>
        </form>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                {% for message in messages %}
                    <p>{{ message }}</p>
                {% endfor %}
            </div>
        </div>
        <div class = "full-size d-flex justify-content-center align-items-center">
            <div class = "full-size d-flex flex-column justify-content-center align-items-center montserrat-medium medium-font margin-1">
                <p>Sudah memiliki akun?</p>
                <a href="{% url 'Story_9:Story_9-login' %}">Login</a>
            </div>
        </div>
    </div>
{% endblock content %}